﻿FROM mcr.microsoft.com/dotnet/runtime:6.0 AS base
WORKDIR /app

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["DeviceEmulator/DeviceEmulator.csproj", "DeviceEmulator/"]
RUN dotnet restore "DeviceEmulator/DeviceEmulator.csproj"
COPY . .
WORKDIR "/src/DeviceEmulator"
RUN dotnet build "DeviceEmulator.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "DeviceEmulator.csproj" -c Release -o /app/publish /p:UseAppHost=false

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "DeviceEmulator.dll"]
